Package com.emc.documentum.rest.view.impl

# Class DefaultFeedView<T extends Linkable>

java.lang.Object
com.emc.documentum.rest.view.FeedableView<T>
com.emc.documentum.rest.view.impl.DefaultFeedView<T>

Type Parameters:
  `T` - the linkable object type

public class DefaultFeedView<T extends Linkable> extends FeedableView<T>
The default view implementation for a feed resource.

- ## Field Summary

  ### Fields inherited from class com.emc.documentum.rest.view.FeedableView

  `otherParams, repositoryName, returnLinks, uriInfo`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultFeedView(Page<T> page, UriInfo uriInfo, String repositoryName, Boolean returnLinks, Map<String,Object> others)`
  The parameterized constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `feedTitle()`
  The returning value of this method is to resolve the value of the atom feed title for objects.
  `Date`
  `feedUpdated()`
  The returning value of this method is to resolve the value of the atom feed updated for objects.

  ### Methods inherited from class com.emc.documentum.rest.view.FeedableView

  `customizeFeed, feed, feedAuthors, feedId, feedItemsPerPage, feedLinks, feedPageNumber, feedTotalNumber, getAtomId, getOtherParams, getRepositoryName, getUriFactory, getUriInfo, getWorkingController, pageItems, pageTotalForEach, returnLinks, uriBuilder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultFeedView

    public DefaultFeedView(Page<T> page, UriInfo uriInfo, String repositoryName, Boolean returnLinks, Map<String,Object> others)
    The parameterized constructor.
    Parameters:
      `page` - the page of objects to be serialized
      `uriInfo` - the URI info of the request. This is typically obtained from the resource controller where the controller method has an annotated parameter for `RequestUri`
      `repositoryName` - the repository name
      `returnLinks` - indicates whether to return links for this model instance
      `others` - other parameters

- ## Method Details

  - ### feedTitle

    public String feedTitle()
    The returning value of this method is to resolve the value of the atom feed title for objects. The value is an empty string.
    Specified by:
      `feedTitle` in class `FeedableView<T extends Linkable>`
    Returns:
      the objects feed title

  - ### feedUpdated

    public Date feedUpdated()
    The returning value of this method is to resolve the value of the atom feed updated for objects. The value is current system date.
    Specified by:
      `feedUpdated` in class `FeedableView<T extends Linkable>`
    Returns:
      the objects feed updated